Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Interface DefaultGraph

All Superinterfaces:
  ResourceNode, ValueNode, ValueObject

    public interface DefaultGraph

extends ResourceNode

This interface represent the marker that identifies the default graph, or the null context, of a triple store.

The label of any DefaultGraph is the string "default graph". The toString() method returns a string that is different for different triple stores.

Instances are created by the system as needed to represent the triples returned from the store. There are no public constructors and no methods to create instances from an application. When the default graph is mentioned in a method call, it should be mentioned with a null argument or the empty string, as specified in the method description. In general, it is not advisable for applications to manipulate DefaultGraph instances in any way.

See the note in the description of `AllegroGraphConnection.federate(String, AllegroGraph[], boolean)` for additional issues about default graphs.

It is likely (but not guaranteed) that two instances representing the default graph of the same store will be identical. They will necessarily return true from equals().

Method Summary
`java.lang.String` | `toString()` This method provides a string representation of the instance as the string

Methods inherited from interface com.franz.agbase.ResourceNode
`addProperty, getSubjectStatements`

Methods inherited from interface com.franz.agbase.ValueNode
`compareTo, getObjectStatements, queryAGId`

Method Detail

### toString

    java.lang.String toString()

  This method provides a string representation of the instance as the string

  `<DefaultGraph aaa bbbbbb>`

  where `aaa` is the triple store index (shown in the string form of the AllegroGraph instance), and `bbbbbb` is a hexadecimal string that identifies the instance uniquely.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD